part of 'space_details_model_bloc.dart';

sealed class SpaceDetailsModelEvent extends Equatable {
  const SpaceDetailsModelEvent();

  @override
  List<Object> get props => [];
}

final class UpdateSpaceDetailsIcon extends SpaceDetailsModelEvent {
  const UpdateSpaceDetailsIcon(this.icon);

  final String icon;

  @override
  List<Object> get props => [icon];
}

final class UpdateSpaceDetailsName extends SpaceDetailsModelEvent {
  const UpdateSpaceDetailsName(this.name);

  final String name;

  @override
  List<Object> get props => [name];
}

final class UpdateSpaceDetailsSubspaces extends SpaceDetailsModelEvent {
  const UpdateSpaceDetailsSubspaces(this.subspaces);

  final List<Subspace> subspaces;

  @override
  List<Object> get props => [subspaces];
}

final class UpdateSpaceDetailsProductAllocations extends SpaceDetailsModelEvent {
  const UpdateSpaceDetailsProductAllocations(this.productAllocations);

  final List<ProductAllocation> productAllocations;

  @override
  List<Object> get props => [productAllocations];
}
